librime: rime::Speller Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
rime::Speller Class Reference

`#include <speller.h>`

Inheritance diagram for rime::Speller:
[legend]
Collaboration diagram for rime::Speller:
[legend]

## Public Member Functions
| Speller (const Ticket &ticket)
virtual ProcessResult | ProcessKeyEvent (const KeyEvent &key_event)
Public Member Functions inherited from rime::Processor
| Processor (const Ticket &ticket)
virtual | ~Processor ()=default
string | name_space () const

## Protected Types
enum | AutoClearMethod { kClearNone , kClearAuto , kClearManual , kClearMaxLength }

## Protected Member Functions
bool | AutoSelectAtMaxCodeLength (Context *ctx)
bool | AutoSelectUniqueCandidate (Context *ctx)
bool | AutoSelectPreviousMatch (Context *ctx, Segment *previous_segment)
bool | FindEarlierMatch (Context *ctx, size_t start, size_t end)
bool | AutoClear (Context *ctx)

## Protected Attributes
string | alphabet_
string | delimiters_
string | initials_
string | finals_
int | max_code_length_ = 0
bool | auto_select_ = false
bool | use_space_ = false
boost::regex | auto_select_pattern_
AutoClearMethod | auto_clear_ = kClearNone
Protected Attributes inherited from rime::Processor
Engine * | engine_
string | name_space_

## Additional Inherited Members
Public Types inherited from rime::Class< Processor, const Ticket & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Processor, const Ticket & >
static Component * | Require (const string &name)

## Member Enumeration Documentation

## ◆ AutoClearMethod

enum rime::Speller::AutoClearMethod
| protected

Enumerator
kClearNone |
kClearAuto |
kClearManual |
kClearMaxLength |

## Constructor & Destructor Documentation

## ◆ Speller()

rime::Speller::Speller | ( | const Ticket & | ticket | ) |

## Member Function Documentation

## ◆ AutoClear()

bool rime::Speller::AutoClear | ( | Context * | ctx | ) |
| protected

## ◆ AutoSelectAtMaxCodeLength()

bool rime::Speller::AutoSelectAtMaxCodeLength | ( | Context * | ctx | ) |
| protected

## ◆ AutoSelectPreviousMatch()

bool rime::Speller::AutoSelectPreviousMatch | ( | Context * | ctx,
|  | Segment * | previous_segment )
| protected

## ◆ AutoSelectUniqueCandidate()

bool rime::Speller::AutoSelectUniqueCandidate | ( | Context * | ctx | ) |
| protected

## ◆ FindEarlierMatch()

bool rime::Speller::FindEarlierMatch | ( | Context * | ctx,
|  | size_t | start,
|  | size_t | end )
| protected

## ◆ ProcessKeyEvent()

ProcessResult rime::Speller::ProcessKeyEvent | ( | const KeyEvent & | key_event | ) |
| virtual

Reimplemented from rime::Processor.

## Member Data Documentation

## ◆ alphabet_

string rime::Speller::alphabet_
| protected

## ◆ auto_clear_

AutoClearMethod rime::Speller::auto_clear_ = kClearNone
| protected

## ◆ auto_select_

bool rime::Speller::auto_select_ = false
| protected

## ◆ auto_select_pattern_

boost::regex rime::Speller::auto_select_pattern_
| protected

## ◆ delimiters_

string rime::Speller::delimiters_
| protected

## ◆ finals_

string rime::Speller::finals_
| protected

## ◆ initials_

string rime::Speller::initials_
| protected

## ◆ max_code_length_

int rime::Speller::max_code_length_ = 0
| protected

## ◆ use_space_

bool rime::Speller::use_space_ = false
| protected

The documentation for this class was generated from the following files:

- speller.h
- speller.cc